---
title: New CI plans &mdash; summary
author: Lars Wirzenius / WMF RelEng
...

---

# What we're aiming at
  * automated build, test, deployment to production K8s
  * without endangering prodution sites and services
  * ability to roll back to any recently deployed version
  * fast cycle time (time to get minimal change into production)
  * less friction, more productivity in development
  * self-serve as much as possible

---

# Overall solution approach
  * changes via Gerrit, for code review
  * commit stage
  * integration stage
  * acceptance test stage
  * deployment stage
  * optionally other stages: manual testing, capacity, performance,
    security, ...

---

# Implentation approach
  * Argo on K8s
  * May need other components for log storage, artifact storage, etc

---

# Other aspects
  * embargoed security changes
  * division of responsibilities for keeping CI running
  * migration to new system

